VMware Networking Community
Gladiator1
Enthusiast
Enthusiast
Jump to solution

adding a second network adapter

I have a ESXi server freshly installed with an ethernet adapter. I would like to add a second network adapter which a USB 3.0 adapter. I understand I need to install drivers for this. I am a newby to VMWARE. Can someone provide steps to add this adapter with drivers?

Is it easier to add a PCI-E card instead. Will system detect that card automatically?

Thank you

2 Solutions

Accepted Solutions
a_p_
Leadership
Leadership
Jump to solution

Why don't you simply follow the instructions on the flings page?

Make sure that you use the correct command for the ESXi version that you are using (see step 3), and also make sure that you specify the correct path to the .zip file, i.e. the datastore name, and folder to which you've uploaded the .zip file.

André

View solution in original post

grimsrue
Enthusiast
Enthusiast
Jump to solution

What version of the ESXi OS are you running? You can type "vmware -v" (without the quotes) to get version.

The Fling web site has a down arrow that lets you select from multiple .zip versions. The error you are seeing is due to you trying to install a version that is not compliant to the version of your ESXi OS.

grimsrue_0-1658603941421.png


If you are going to copy the ".zip" file to /tmp then change your path when running the esxcli vib software command

esxcli software component apply -d /tmp/offlinebundlefile.zip

View solution in original post

20 Replies
a_p_
Leadership
Leadership
Jump to solution

For the USB driver, and the requirements, please see https://flings.vmware.com/usb-network-native-driver-for-esxi#requirements

If you are considering to add an additional PCIe adapter, you may want to ensure that it's on the HCL.

André

Reply
0 Kudos
Gladiator1
Enthusiast
Enthusiast
Jump to solution

Just wanted to add the follow the following. I am following this article

https://www.virten.net/2020/09/tips-for-using-usb-network-adapters-with-vmware-esxi/

I use WinSCP to transfer the drivers ran the command as shown in the article to install the drivers. No errors. Rebooted but still no link light. Does anyone have any suggestions?

Cheers

Reply
0 Kudos
Gladiator1
Enthusiast
Enthusiast
Jump to solution

Thanks Andre

I confirmed chipset is 

ASIXAX88179

from the list. I downloaded the drivers again and found that the zipped file was named differently from the command example. Ran the command without errors. But still no link light. Do I need more time or a reboot to complete?

Cheers

Reply
0 Kudos
a_p_
Leadership
Leadership
Jump to solution

Yes, please see step 4 from the installation instructions.

~snip~
Step 4 - Plug-in the USB NIC and reboot for the change to go into effect. ...
~snip~

André

Reply
0 Kudos
Gladiator1
Enthusiast
Enthusiast
Jump to solution

I rebooted but no luck.

Which instructions? I don't see a step 4.

Thanks

Reply
0 Kudos
a_p_
Leadership
Leadership
Jump to solution

I'm referring to the instruction on the VMware Flings web site (please see my earlier post).

André

Reply
0 Kudos
Gladiator1
Enthusiast
Enthusiast
Jump to solution

I have narrowed it down to this article.

https://kb.vmware.com/s/article/2015834

Getting similar error to article above. I see several datastoreUUIDs that I have listed. Am I to select one of these for my path. Which one?

Cheers

Reply
0 Kudos
a_p_
Leadership
Leadership
Jump to solution

Please post the full command that you are using, and the exact error message.

André

Reply
0 Kudos
Gladiator1
Enthusiast
Enthusiast
Jump to solution

The command I attempted is .....

esxcli software vib install -d /vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip

I get the following error

Could not download from depot at zip:/vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip?index.xml, skipping (('zip:vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip?index.xml', '', "Error extracting index.xml from vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip: [Errno 2] No such file or directory: 'vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip'"))
url = vmfs/volume/datastore1/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip?index.xml

Please refer to the log file for more details.

Reply
0 Kudos
a_p_
Leadership
Leadership
Jump to solution

Why don't you simply follow the instructions on the flings page?

Make sure that you use the correct command for the ESXi version that you are using (see step 3), and also make sure that you specify the correct path to the .zip file, i.e. the datastore name, and folder to which you've uploaded the .zip file.

André

Gladiator1
Enthusiast
Enthusiast
Jump to solution

I did go through those steps....

I used 

esxcli software vib install -d /path/to/the offline bundle zip

I get the same error.

It is the path which I don't understand. I copied the the zip file to the root. 

grimsrue
Enthusiast
Enthusiast
Jump to solution

Did you copy the file over to the root of the "Datastore" or the root of the "ESXi Hypervisor"

Datastore root is /vmfs/volumes/"datastore"/file.vib (esxcli software vib install -d /vmfs/volumes/"datastore"/offlinebundlefile.zip)


ESXi Hypervisor is /file.vib (esxcli software vib install -d /offlinebundlefile.zip)

As a_p_ stated you must install the the driver.zip that corresponds the the version of the ESXi OS you have installed on the server

 

Also, this might seem ridiculous, but make sure your USB ports are enabled in the bios. Some servers have those turned off by default.

NOTE: It seems to me that you might not know what a "datastore" is. That is a disk that VMs are created and run on. If you have a datastore then you probably gave the datastore a name when you created it. Use that name in place of "datastore" or "datastore1".

Gladiator1
Enthusiast
Enthusiast
Jump to solution

Root of Hypervisor. I moved it to the tmp folder and now I get error....

VIB VMW_bootbank_vmkusb-nic-fling_1.10-1vmw.703.8.50.55644242 requires requires vmkapi_2_9_0_0, but the requirement cannot be satisfied within the ImageProfile.

VIB VMW_bootbank_vmkusb-nic-fling_1.10-1vmw.703.8.50.55644242 requires requires vmkapi_incompat_2_9_0_0, but the requirement cannot be satisfied within the ImageProfile.

There was only one file to download from what I see and the commands for the instructions showed for version 6.5 so I used that.

Yes, USB is enabled.

Thank you

a_p_
Leadership
Leadership
Jump to solution

Putting together what you posted so far, I think the command to install the driver in your case is:

esxcli software component apply -d /tmp/ESXi703-VMKUSB-NIC-FLING-55634242-component-19849370.zip

André

grimsrue
Enthusiast
Enthusiast
Jump to solution

What version of the ESXi OS are you running? You can type "vmware -v" (without the quotes) to get version.

The Fling web site has a down arrow that lets you select from multiple .zip versions. The error you are seeing is due to you trying to install a version that is not compliant to the version of your ESXi OS.

grimsrue_0-1658603941421.png


If you are going to copy the ".zip" file to /tmp then change your path when running the esxcli vib software command

esxcli software component apply -d /tmp/offlinebundlefile.zip

Gladiator1
Enthusiast
Enthusiast
Jump to solution

When running this command I receive error

Unknown command or namespace software component apply

Gladiator1
Enthusiast
Enthusiast
Jump to solution

The version I have is 6.7.0 build-14320388

Downloaded the zip file corresponding to version and ran commands again and same errors

ran command below and get

Unknown command or namespace software component apply

 

grimsrue
Enthusiast
Enthusiast
Jump to solution

My bad, I copy/pasted the wrong command in my last post.

This is the one you run below. replace offlinebundlefile.zip with the full file name you downloaded and copied to /tmp

esxcli software vib install -d /tmp/offlinebundlefile.zip

Gladiator1
Enthusiast
Enthusiast
Jump to solution

No problem. Appreciate your help.

I did run this previously and get error I previously noted.